Get Short Products

Get Products to display on a card.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The get short product service allows you to fetch the little product details you need to display on a product card that only includes an image(the main image) and a short description of the product.

Use Get Long Products to get a product's full details.

📘

NOTE

Only use this for getting products to display on a product card.

Request

{{baseUrl}}/getProducts
ParametersTypeDescriptionOptional
pageintThe page number. This defaults to 1.optional
numberOfProductsPerPageintThe number of products per page. This defaults to 10 if you provide no value.optional
sortBystringThis is how you want the products results to be sorted.

It can be any one of price, brand, category, department, family, name.

The default value is price.
optional
sortAscendingboolThis is where you arrange your sorted products sequentially.

Set it as true if ascending and false if descending.

It defaults to ascending
optional
multiFilterstringThis is the multi-filter that you intend to use in your product query. It is either category, brand, family or department.optional
lowerPriceRangeintThis is where you input the lower price range of the products that you want to display to your users.

It takes an integer in Naira..
optional
UpperPriceRangeintThis is where you input the upper price range of the products that you want to display to your users.

It takes an integer in Naira..
optional
familyFilterArrayThis is where you specify the family of products that you to show to your users.

It must be an array of just one string if it is not a multi-filter. A multi-filter will have an array of two or more strings.
optional
brandFilterArrayThis is where you specify the brand of products that you to show to your users.

It must be an array of just one string if it is not a multi-filter. A multi-filter will have an array of two or more strings.
optional
categoryFilterArrayThis is where you specify the category of products that you to show to your users.

It must be an array of just one string if it is not a multi-filter. A multi-filter will have an array of two or more strings.
optional
departmentFilterArrayThis is where you specify the department of products that you to show to your users.

It must be an array of just one string if it is not a multi-filter. A multi-filter will have an array of two or more strings.
optional
Query Params
int32
Defaults to 1

The page of the products being queried. This is an integer. Products are supposed to be fetched page by page with a constant number of products per page.

int32
Defaults to 10

This is the number of products that you want to show on a page. It is advised to make this constant for each product display session.

string
enum
Defaults to price

This is how you want the products results to be sorted. It can be any one of price, brand, category, department, family, alphabet. The default value is price.

Allowed:
boolean
Defaults to true

This is where you arrange your sorted products sequentially. Set it to true if ascending and false if descending. It defaults to ascending

string
enum

This is the multi-filter that you intend to use in your product query. It is either category, brand, family or department.

Allowed:
int32

This is where you input the lower price range of the products that you want to display to your users. It takes an integer in Naira..

int32

This is where you input the upper price range of the products that you want to display to your users. It takes an integer in Naira..

familyFilter
array of strings

This is where you specify the family of products that you to show to your users. it must be an array of just one string if it is not a mutifilter. A multifilter will have an array of two or more strings.

familyFilter
brandFilter
array of strings

This is where you specify the brand of products that you to show to your users. it must be an array of just one string if it is not a mutifilter. A multifilter will have an array of two or more strings.

brandFilter
categoryFilter
array of strings

This is where you specify the category of products that you to show to your users. it must be an array of just one string if it is not a mutifilter. A multifilter will have an array of two or more strings.

categoryFilter
departmentFilter
array of strings

This is where you specify the department of products that you to show to your users. it must be an array of just one string if it is not a mutifilter. A multifilter will have an array of two or more strings.

departmentFilter
Headers
string
required
Defaults to GvK2ahd60roUWIbgnWj1
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json